// VCGLTextDemoDlg.h : header file
//

#if !defined(AFX_VCGLTEXTDEMODLG_H__981515CA_2963_11D3_A53B_000000000000__INCLUDED_)
#define AFX_VCGLTEXTDEMODLG_H__981515CA_2963_11D3_A53B_000000000000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVCGLTextDemoDlg dialog

class CVCGLTextDemoDlg : public CDialog
{
// Construction
public:
	CVCGLTextDemoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CVCGLTextDemoDlg)
	enum { IDD = IDD_VCGLTEXTDEMO_DIALOG };
	CString	m_sElevation;
	CString	m_sExtrusion;
	CString	m_sLineSpacing;
	CString	m_sRotation;
	CString	m_sText;
	CString	m_sZoom;
	BOOL	m_bEnableLightning;
	BOOL	m_bEnableMouse;
	BOOL	m_bOrtographicProjection;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVCGLTextDemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	void SetButtonFonts();
	void InitLogFont(const CString& sFontName, BOOL bBold, BOOL bItalic, LOGFONT *pLogFont);

	void	FillValues();
	CString GetControlText(int nControlId);
	void    SetControlText(int nControlId, const CString& sText);

	BOOL	GetChecked(int nControlId);
	void	SetChecked(int nControlId, BOOL bCheck);

	CString GetImageDir();


	// Generated message map functions
	//{{AFX_MSG(CVCGLTextDemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnAboutButton();
	afx_msg void OnArialFontButton();
	afx_msg void OnCurrierNewFontButton();
	afx_msg void OnAnimateRotatexyButton();
	afx_msg void OnAnimateRotatezButton();
	afx_msg void OnEnableMouseCheck();
	afx_msg void OnGradientButton();
	afx_msg void OnTextureButton();
	afx_msg void OnBkFillEffectButton();
	afx_msg void OnEnableLightningCheck();
	afx_msg void OnFillEffectButton();
	afx_msg void OnMaterialButton();
	afx_msg void OnSolidColorButton();
	afx_msg void OnAnimatedTextureButton();
	afx_msg void OnPatternButton();
	afx_msg void OnChangeZoomEdit();
	afx_msg void OnChangeTextEdit();
	afx_msg void OnChangeRotationEdit();
	afx_msg void OnChangeLineSpacingEdit();
	afx_msg void OnChangeElevationEdit();
	afx_msg void OnChangeExtrusionEdit();
	afx_msg void OnOrtographicProjectionCheck();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	N3DTEXTLib::IDual3dTextPtr m_pTextControl;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VCGLTEXTDEMODLG_H__981515CA_2963_11D3_A53B_000000000000__INCLUDED_)
